BladeSystem - General
cancel
Showing results for 
Search instead for 
Did you mean: 

Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

 
Zuczek
Occasional Visitor

Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

Does XenServer 5.5 supports Virtual Connect Flex-10 firmware 2.32?

We just got the unit. VC firmware is at 2.32 and OA is at 3.0

I can see all 16 Flex-Nics in XenServer but all show up as disconnected?

I created an Enternet Network and assigned it 2 uplinks which are OK. I then assigned the Ethernet Network to the first 4 LOMs.

Anyone has similar issue? Do I need an updated driver for Xen or perhaps the 2.32 VC firmware isnot compatible (I don't see Xen listed on the 2.32 versionm but I do on the 2.30)

5 REPLIES
Adrian Clint
Honored Contributor

Re: Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

You may also need the Broadcom NIC firmware updated.
Zuczek
Occasional Visitor

Re: Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

Found a solution...

In case anyone needs it..


Native Citrix NIC driver is incompatible with Dynamic Control Channel functionality of the Flex 10 introduced in VC 2.3x.

NIC firmware version 5.0.11 or later enables DCC under VC 2.3x environment.

Therefore, the user needs to downgrade NIC firmware to 4.8.0 until an updated driver is released by Citrix.
murthy_3
Frequent Advisor

Re: Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

Hi Guys,

I am seeing a similar issue. We can get it to work with NIC fw 2.2.2 but any later fw like 2.2.7 etc we cant get it to work.

Do you have a link to the latest NIC driver? Is this provided by HP or Citrix?

Regds,
Murthy
TomasEdwardsson
Occasional Advisor

Re: Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

Where are you finding these NIC firmware versions? I find no reference to it.
HEM_2
Honored Contributor

Re: Virtual Connect Flex-10 Firmware 2.32 and Xenserver 5.5

new bnx2x driver for XenServer 5.5

http://support.citrix.com/article/CTX124995